Ubuntu

Gnome Freezes -- Ubuntu 9.10 -- big time freezes.

Reported by The Founder on 2009-10-26
176
This bug affects 33 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Marcelo Lotif

Bug Description

*********** ATTENTION **************
If you are experiencing a similar problem, please file a *NEW* bug report describing your own issues. Reporting in this thread makes it more difficult to figure out the issue at hand.

When you file your report, please include the following information:
 -Make/Model of computer
 -Graphics Card
 -Ubuntu version (i.e., Ubuntu, Kubuntu, Xubuntu, etc.)

 -A clear, simple explanation of what you see in the boot up process.
 -At what point does the freeze occur or does it happen after a particular action?
 -Note whether it is a complete or partial freeze (does the mouse move?)

 -Any additional relevant information regarding what steps you have taken, if any, to address this issue.
***********************************************************************

Due to the large number of other people posting to this bug report, the information provided by the original reporter "The Founder" has been summarized below for ease of reading.

=== Description ===
Ubuntu 9.10

On boot, the computer reaches the login screen and allows you to enter your username and password. Then within 1-15 seconds after you see the desktop the machine freezes.

"freezes" by definition means the machine is completely 100% non-responsive. The mouse will not move. The keyboard will not respond.

After a hard shut down (IE: unplug the machine from the UPS) you can reach the login screen again after a reboot, at this point if you select fail-safe the machine runs as expected... but only in fail-safe move.

KDE and X run fine. This bug is specific to Gnome Standard.

=== Hardware ===
It's a Compaq Presario - Celeron D
Intel 950 Video Card
1.5 GB ram

=== Automated Info ===
ProblemType: Bug
Architecture: i386
CheckboxSubmission: 1923ca52bf5a2e4df6574cb43225cf73
CheckboxSystem: 6ce041aeed0a2c17b3343b66d157175d
Date: Mon Oct 26 10:56:09 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/yelp
Package: yelp 2.28.0-0ubuntu2
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: yelp
Uname: Linux 2.6.31-14-generic i686

=== Possible Workaround ===
Another user with similar hardware and freeze has reported that it is the latest driver that is causing the issue, and has rolled back to a previous version with success.

=== Possible Cause ===
Possibly a conflict with Compiz and Intel video drivers?

[lspci]
00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub (rev 02)
     Subsystem: Hewlett-Packard Company Device 2a57
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02)
     Subsystem: Hewlett-Packard Company Device 2a57

The Founder (president-yooter) wrote :
The Founder (president-yooter) wrote :

Is there anything I can submit to see if others are seeing the same problem? This thing just freezes in Gnome.. I have been forced to use failsafe for several weeks now...

Arun (arunmv) wrote :

I am also finding the same issue.
Upgraded from 9.04 to 9.10 on 29Oct2009.
When system starts with window manager as GNOME, opening any application will result in display hanging. PC power-cycle is required to recover. No bug info could be collected, since display is totally hanged.
There is no problem when started on GNOME FAILSAFE window manager.
This PC was earlier worked perfectly on 7.x, 8.10 & 9.04 with out this problem.
Monitor is acer LCD 14" - AL1522 and PC is acer AcerPower model (BIOS : V12.285, WO# 0324, INTEL DUEL CORE)

dovjoss (dovjos) wrote :

I have the same problem.
I logged in to "fail-safe gnome" and download the kde-desktop, to see if it is effected as well.
I restarted and logged in to kubuntu and everything is great.
Can the fact the kubuntu is not effected connect this problem to compiz?
I have an intel graphics card

The Founder (president-yooter) wrote :

ok based on what you wrote (made sense) I am going to completely remove compiz and everything associated with it... rebooting now... I'll let you know if it worked or not.

The Founder (president-yooter) wrote :

ok.. rebooted with everything compiz removed... it appears to be working ... but this is less than ideal.

dovjoss (dovjos) wrote :

I agree, that's not the solution. I was hopping that that piece of info will shade some light.
By the way,I searched the web and didn't see many reports about this bug.

The Founder (president-yooter) wrote :

Do you have an intel 950 card.. or something similar in terms of chipset?

Julien (julien-villegas) wrote :

I also have the same issue on a HP Pavillion (Intel Graphic card).
After upgrading to 9.10 the system hangs few seconds after finishing starting up.
I removed compiz Samba and any other application that I beieved could cause the issue. The problem remains.
Also, I downloaded the iso start disk and the problem also appears when running 9.10 from the CD.

Jamie Quinlan (jaymeskeller) wrote :

I've encountered problems with Gnome freezing, although I have a NVIDIA GTX275 card, and it's at random. I've disabled the graphical effects (seeing as it might have something to do with Compiz), and seeing how it runs.

Owen S (owenkun) wrote :

I'd like to add that I'm encountering this issue as well. This is a brand new install of Ubuntu 9.10 with a verified copy of the disc.

Running Gnome normally results, as others have reported, in a hard lockup that requires a power cycle to resolve. This generally happens within a few seconds of loading my desktop.

Having read the advice of the earlier posters, I'm now running Gnome in failsafe mode and it seems to be working correctly.

My motherboard is a Foxconn 95ctd with a 945GC+ICH7 Intel chipset. It's running a GMA950 video card.

This machine is my kick-around box and Hackintosh project box. Leopard had been working flawlessly on it with acceleration enabled, so I'm fairly confident that the CPU, chipset and video are in working order.

The Founder (president-yooter) wrote :

ok I've done a fresh install of Ubuntu 9.10 ... issue is the same.... The only 2 ways to get this to run.

1 - run in Gnome Failsafe

or

2 - remove everything in synaptic that references compiz.

This really isn't how Ubuntu is supposed to run... and clearly I am not alone in this. So we have a verifiable bug in order.. what's the next step?

Julien (julien-villegas) wrote :

I found a workaround to this issue for those of you who have an intel graphic card (which is what HP Pavillion PCs come with).
you must revert to an older version of the graphic card driver by following these instructions:
https://wiki.ubuntu.com/ReinhardTartler/X/RevertingIntelDriverTo2.4

The instructions were intended for Jaunty but they also work for 9.10

Of course, since the system hangs, you need to start in recovery mode to run those instruction from the command line.

Julien (julien-villegas) wrote :

Jsut to say that the fix I just published seems to also work on Dell Latitude D620 and Dell Dimension 3000

The Founder (president-yooter) wrote :

Hi Julien,

Though it appears to work for some people, that's alot of work for someone just to not get their machine to lock up.

That's a fix for people like us that have been using Ubuntu for several years. This is actually a serious bug request.. you can't have people with their first time experience with Ubuntu seeing a locked up machine.

Pieter (elkon) wrote :

Hi Guys

Like The Founder wrote: "you can't have people with their first time experience with Ubuntu seeing a locked up machine"

That's my problem. I installed Ubuntu for the first time 2 days ago and could not get it running. It either freezes up just after log in or, if I am lucky - the moment I move my cursor over a link. Not knowing the operating system I then tried to re-install. What a mess. I ended up with 5 partitions on my hard drive. Luckily with XP on the first. I then deleted the other 4 partitions and started over. With Ubuntu installed for the 3 time and the problem still the same - PLEASE HELP???

My desktop PC:
MSI motherboard with 945GCM chipset
E4500 Core 2 Duo Processor
2 G mem

Not clued-up with typing commands at all.
Please help
Pieter

hau jye (haujye) wrote :

I got the same problem on my old IBM Thinkpad R40. After upgrading from 9.04 to 9.10, the screen freeze at either after login or while opening the first window in desktop. I did a clean install and still had the same problem.

I managed to solve the problem by : booting into root shell; xinit; gdm; lowered the display resolution to one which the R40 supports. After this, the desktop could start up normally after reboot. I could not enable compiz though, it complained there is no driver or something like that.

I don't encounter this freeze problem with 9.10 on my Fujitsu S6520. I think it could be a graphic driver issue.

Meanwhile, I just have to live without compiz on the 6.5-years-old R40.

dovjoss (dovjos) wrote :

As I mentioned before, this bug seems to be related to compiz and therefore does not effect kubuntu at all.

Kubuntu also has desktop effect which work with the current graphic card driver, and no downgrade is required.

I see no reason to have to downgarde just because I prefer gnome to KDE.

On a personal note, I had graphical problems with Intel and ubuntu 9.04 as well, I was hopping 9.10 will finally sort things out. I'm starting to get really frustrated with ubuntu.

In 9.04 the hack was to edit the /etc/X11/xorg.conf, which doesn't even exist in 9.10, even though if created will effect the system.

It's a shame this bug is ruining our ubuntu experience.

Thanks.

s.unmesh (s-unmesh) wrote :

Am also facing the same issue. mine is an ACER VERITRON PC. Now am using failsafe login only . if any one found any solution please post it here.

am getting error messages like
[ 12.101461] acer-wmi: No or unsupported WMI interface, unable to load.

TM Hart (tom-hart) wrote :

I installed Ubuntu version 9.10 on an old Compaq Presario 5000 without a problem.

Then ran a Ubuntu 9.10 "update" followed by a complete install on a newer Compaq HP Pavilion A6200T. Both failed after login - the screen freezes. Version 9.04 ran fine. The newer system uses an Intel Celeron D420 chip. It also has an Intel RP843AV integrated chip.

The boot and logon go normally. The Gnome desktop loads. Shortly after, when using mouse or not, the system freezes and will not respond to any input. I ran a disk error check on the install CD and it passed. There were no problems during the lengthy update or install process. The error only occurs after the final reboot and initial use of the new operating system.

gsak (greg-krsak) wrote :

Same hard freeze happens in stock Ubuntu 9.10 on a stock Dell Dimension 2350. Intel 82845 integrated graphics. Only a hard reset can reboot the system.

CD check and Memtest report no errors.

The Founder (president-yooter) wrote :

So people understand the severity of this, it's literally the Ubuntu version of the Blue Screen of Death.... this thing cannot be fixed or undone when it occurs.

omarcolocci (oscolocci) wrote :

Well, I have a Core2 Quad, 8 Gb RAM e my video card is a NVIDIA 8600 GT. It runs flawless with Windows, and worked as expected with 9.04, but since I made a fresh install of the new 9.10 (640bit) the thing keeps hanging. Sometimes it hangs a few minutes after startup and sometimes I can manage to use it for a few hours before freezing. No particular app opened when it freezes. Since 9.04 runs flawless (and I've been using ubuntu since 8.04 without ANY incident), I'm really frustated seeing such a major bug in this new version.
Any clues already? Gonna try the compiz thing and see how it works.

Marcelo Lotif (mlotifjava) wrote :

I'm running the exact same issue, I've upgraded from 9.04 to 9.10 and it freezes everytime I enable compiz. My machine is pretty the same as The Founder's machine, same brand, same chipset, same memory size. I've been using ubuntu since 8.04, not flawlessly, but no issue I've encoutered was as severe as this one.
Compiz is installed in my machine, but as soon as I enable it, ubuntu freezes. I've followed Julien tip, installed the 2.4 driver and tried to enable compiz: no luck. Instead of freezing, the X server gets restarted without compiz enabled. I'm running ok now, with compiz disabled, but I'm afraid of upgrading my other machine, I think it's better make a test with the live cd (if it's possible) or just wait for this but to get fixed.

omarcolocci (oscolocci) wrote :

Nah! For me removing compiz libraries didn't solve the freezes. Still trying to find out what's causing them.

To3000 (to30000) wrote :

try installing nvidia-kernel-common

its worked so far

The Founder (president-yooter) wrote :

@To3000

At this rate I'll try anything, but are you sure for an intel video card?

tags: added: karmic
The Founder (president-yooter) wrote :

Is there anything else that is needed to get this thing look at by the developers? I opened up a bug, confirmed that it's fairly wide spread (by the length of the comments) and it's fairly critical as the fix is to remove parts of what Ubuntu comes shipped and defaulted with, that is after you experience your machine locking up to the point where you have to physically have to turn off the machine (IE: unplug it , hard reboot, etc etc).

Marcelo Lotif (mlotifjava) wrote :

Well, I'm trying my best to get this thing visible, but I think the only thing to do now is hope for someone to see this...
But there are a bunch of bug reports similar to this one, just search for "compiz freeze" and you will see a lot, many of them are in more advanced stage than this one. See below just a sample of what I'm talking:

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/441873
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/438346
https://bugs.launchpad.net/ubuntu/+bug/389285
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/436546
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/356951

Maybe fixing one of them should fix this one, or not... we have to wait to see...

The Founder (president-yooter) wrote :

I read though those bug reports, but the problem is that this one is
differing in the fact that the machine completely locks up.

One of them below says the guy can move the mouse, the other one only
happens when he rotates the cube, our bug is a true hard core lockup
where you can't do anything.. and ours happens right on startup into
Gnome.

I honestly think this one isn't the same as those... maybe related some
how.. but it's not the same bug... I can't even get to the cube to
rotate it...

Marcelo Lotif (mlotifjava) wrote :

Yeah, I know... In my case, I had luck to have time to disable desktop effects before it locks my machine again...
I have an usable computer, but without the effects. As soon as I enable them, it's a matter of seconds to get the system frozen.

Well, I don't have the knowledge to say that these are the same or not, but I think they are somewhat related.

I just did a fresh install and everytime that I would open a "program" it would total lock on me. I tried reverting to a different video driver, no luck. I just now tried your (Marcelo) idea of disabling visual effects, and it has seemed to work so far....I can open programs now......hopefully they get a fix for this.

f3a97 (f3a97) wrote :

Guys,
  any news on that one?

I installed Ubuntu on a friend of mine PC and it freezes just like others are mentioned.

Could some dev take a look at this please?

It is going to be a critical issue!

Thanks

I found a workaround to this issue for those of you who have an intel
graphic card (which is what HP Pavillion PCs come with).
you must revert to an older version of the graphic card driver by following
these instructions:
https://wiki.ubuntu.com/ReinhardTartler/X/RevertingIntelDriverTo2.4

The instructions were intended for Jaunty but they also work for 9.10

Of course, since the system hangs, you need to start in recovery mode to
run those instruction from the command line.

On Wed, Nov 11, 2009 at 8:50 PM, stek79 <email address hidden> wrote:

> Guys,
> any news on that one?
>
> I installed Ubuntu on a friend of mine PC and it freezes just like
> others are mentioned.
>
> Could some dev take a look at this please?
>
> It is going to be a critical issue!
>
> Thanks
>
> --
> Gnome Freezes -- Ubuntu 9.10 -- big time freezes.
> https://bugs.launchpad.net/bugs/461163
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> This is my problem -- I can't boot in Gnome proper -- must use failsafe ..
> Just did an upgrade to Ubuntu 9.10 from 9.04 ... upgrade went ok.. then
> within 30 seconds in Gnome.. it freezes... freezes to the point where I
> can't even move the mouse, type anything.. must do hard reboot.
>
> Now Gnome failsafe works fine, I installed KDE to see if that works.. no
> problem... just Gnome.
>
> I can't even see what the problem is because the computer locks up to the
> point where a hard reboot is needed.
>
> It's a Compaq Presario - Celeron D
> Intel 950 Video Card
> 1.5 GB ram
>
> I cannot provide you with any more information regarding it because
> honestly the computer locks up to the point where I can't reach terminal or
> click on anything to find out what is wrong.
>
> Now I am not a big fan of having to use Gnome Failsafe... I can provide
> you any information you need when the computer is in Gnome failsafe.. but I
> cannot report squat when it locks up in Gnome
>
> Worth Nothing, this machine ran Ubuntu 9.04 without fail or errors...
>
> ProblemType: Bug
> Architecture: i386
> CheckboxSubmission: 1923ca52bf5a2e4df6574cb43225cf73
> CheckboxSystem: 6ce041aeed0a2c17b3343b66d157175d
> Date: Mon Oct 26 10:56:09 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/yelp
> Package: yelp 2.28.0-0ubuntu2
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> SourcePackage: yelp
> Uname: Linux 2.6.31-14-generic i686
>

The Founder (president-yooter) wrote :

Julien , That may work.. but the problem isn't solved that way... something is seriously wrong with compiz / gnome / intel 950 card... and yet it worked before.

If the solution is to use the older driver, then by all means have the old driver be part of the initial install. I noted before (and still firmly believe) than you can't have someone new to Ubuntu throw in that live CD .. then be faced with a complete lockup of their machine.

You just need one influential blogger to go out and say that happened on their box... and bingo.. Ubuntu will be known as lockup central.

Now I have successful upgraded 7 machines in this office to Ubuntu 9.10 .. not a hitch.. it's just that machine that runs the Intel 950 graphic accelerator. The problem is that it was a very popular card... so the chances are this is a bigger problem... much bigger than what is being reported because the machine locks up to the point where it can't report... meaning you're not getting any automated crash reports from it.. because the machine doesn't crash.. it locks.

vvdghj (vvdghj) wrote :

Trying this work around resulted in the 9.04 desktop, but the mouse
was not responding...

vriendelijke groet

Gerrit H. Jongeneelen
Roomtuintjes 60
1093 SR Amsterdam
0628035274

On Thu, Nov 12, 2009 at 1:56 AM, The Founder <email address hidden> wrote:
> Julien ,  That may work.. but the problem isn't solved that way...
> something is seriously wrong with compiz / gnome / intel 950 card... and
> yet it worked before.
>
> If the solution is to use the older driver,  then by all means have the
> old driver be part of the initial install.  I noted before (and still
> firmly believe) than you can't have someone new to Ubuntu throw in that
> live CD .. then be faced with a complete lockup of their machine.
>
> You just need one influential blogger to go out and say that happened on
> their box... and bingo.. Ubuntu will be known as lockup central.
>
> Now I have successful upgraded 7 machines in this office to Ubuntu 9.10
> .. not a hitch.. it's just that machine that runs the Intel 950 graphic
> accelerator.   The problem is that it was a very popular card...  so the
> chances are this is a bigger problem... much bigger than what is being
> reported because the machine locks up to the point where it can't
> report... meaning you're not getting any automated crash reports from
> it.. because the machine doesn't crash.. it locks.
>
> --
> Gnome Freezes -- Ubuntu 9.10 -- big time freezes.
> https://bugs.launchpad.net/bugs/461163
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: New
>
> Bug description:
> This is my problem --  I can't boot in Gnome proper -- must use failsafe ..  Just did an upgrade to Ubuntu 9.10 from 9.04 ... upgrade went ok..  then within 30 seconds in Gnome.. it freezes... freezes to the point where I can't even move the mouse, type anything..  must do hard reboot.
>
> Now Gnome failsafe works fine,  I installed KDE to see if that works.. no problem...  just Gnome.
>
> I can't even see what the problem is because the computer locks up to the point where a hard reboot is needed.
>
> It's a Compaq Presario - Celeron D
> Intel 950 Video Card
> 1.5 GB ram
>
> I cannot provide you with any more information regarding it because honestly the computer locks up to the point where I can't reach terminal or click on anything to find out what is wrong.
>
> Now I am not a big fan of having to use Gnome Failsafe...   I can provide you any information you need when the computer is in Gnome failsafe.. but I cannot report squat when it locks up in Gnome
>
> Worth Nothing,  this machine ran Ubuntu 9.04 without fail or errors...
>
> ProblemType: Bug
> Architecture: i386
> CheckboxSubmission: 1923ca52bf5a2e4df6574cb43225cf73
> CheckboxSystem: 6ce041aeed0a2c17b3343b66d157175d
> Date: Mon Oct 26 10:56:09 2009
> DistroRelease: Ubuntu 9.10
> ExecutablePath: /usr/bin/yelp
> Package: yelp 2.28.0-0ubuntu2
> ProcEnviron:
>  LANG=en_US.UTF-8
>  SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
> SourcePackage: yelp
> Uname: Linux 2.6.31-14-generic i686
>

MadMonkey (adelpreore) wrote :

For the record (if it helps) I have the same problem blank screen after logging in (Gnome fails, Failsafe Gnome works). I have an ATI graphics card (not NVidia). I performed an upgrade (from 9.04 - 9.10) and was surprised that my login screen was "altered" to the Xubuntu screen after the upgrade. I had installed xcfe about back when I was using Gutsy. Am currently trying to uninstall all things compiz to see if it helps...will try to keep posting results.

MadMonkey (adelpreore) wrote :

Some residual compiz packages were still installed; roughly 7 -> I'm sorry I don't remember which ones. I logged back in via the trusted XUbuntu screen (which I will be searching how to change to the Ubuntu default). I was prompted that there was incomplete language support so I'm installing English, Italian, German and Spanish (for no other reason than I had removed some in an effort to conserve disk-space)

Not the worst upgrade ever, certainly not what I expected after another machine I had installed cleanly.

Georgi Ivanov (givanov1) wrote :

I have the following (similar) problem: When Gnome starts, it works for a few seconds and then it crashes and automatically logs me off and sends me to the login screen. When I try with Failsafe mode my desktop works but without the gnome panel. The Gnome panel doesn't work in Failsafe mode - so I can only launch applications icons from Desktop. My Video Card is ATI Radeon 9250 on a personal computer. I don't know how to switch off Compiz for the "Gnome normal mode".

ZX980 (benzinger14) on 2009-11-18
Changed in ubuntu:
status: New → Confirmed
32 comments hidden view all 111 comments
The Founder (president-yooter) wrote :

Is there anything else that you need from me to create a fix?

WeatherGod (ben-v-root) wrote :

Moving this over to tthe video driver package. Possibly a conflict with Compiz?

description: updated
affects: ubuntu → xserver-xorg-video-intel (Ubuntu)
WeatherGod (ben-v-root) wrote :

The Founder, which version of the xserver-xorg-video-intel package are you using? Also, can you please post the output of the command 'lspci -v' to this bug report (as a file, please).

WeatherGod (ben-v-root) wrote :

Lastly, could you see if disabling your Compiz settings help you at all? It would confirm a conflict between your video card and Compiz.

Sparky (09sparky) wrote :

I have suffered from this same issue with my IBM R51 Laptop. The solution I am going with for now is to remove "Compiz" completely. I would rather have a functioning machine over one with fancy graphics, but doesn't boot. So far so good:

Command I used to remove Compiz:
"sudo apt-get remove --purge compiz*"

WeatherGod (ben-v-root) wrote :

Sparky, (and to anyone else) please see my comment 58 in this thread, and post a new bug report.

Devaraj (devaraj-cs) wrote :

Even it affects me I'm unable to use mouse or keyboard after logging in the screen freezes. But i'm able to use virtual console before logging in let me try removing compiz related packages and try

The Founder (president-yooter) wrote :

Hi WeatherGod,

By removing Compiz the computer acts as expected.. meaning that it does work similar to running it in Gnome Failsafe

Attached is the output requested, I ran lspci -v in terminal, and then cut and paste the results into a text file, that is attached.

The Founder (president-yooter) wrote :

Hi WeatherGod,

I just wanted to confirm that you got everything you need from me.

Best Regards,
Roger

gman (sherrygarytj) wrote :

i as well have the freeze bug compaq presario intel 950 video freeze after getting to gnome desktop but works in failsafe
please fix this

gman (sherrygarytj) on 2009-12-21
Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → New
WeatherGod (ben-v-root) wrote :

gman, please follow the instructions in comment 58 and file a separate bug report. Please do not modify the status of bug reports that are not your own.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
WeatherGod (ben-v-root) on 2009-12-21
description: updated
Geir Ove Myhr (gomyhr) on 2010-01-01
tags: added: freeze
Geir Ove Myhr (gomyhr) wrote :

This comment goes to bug 400934, bug 451518, bug 475429, bug 500686,
bug 501875, bug 342675, bug 461163, and bug 493111.

We have had several reports of freezes (GPU hangs) on i945 chipsets
(945G, 945GM and 945GME, all of which uses the GMA950 graphics core)
in Karmic. I would like to get some testing going so that we may
identify the cause and give upstream all the information they need
(and possibly some they do not need) so that they can fix this before
Lucid is out. I have set up a wiki page to coordinate the effort:
https://wiki.ubuntu.com/X/Lucidi945Freezes . There is a list of test
that I think will be useful in order to isolate where the problem is
and a table where you can fill in your test results. If we're lucky
there is only one underlying problem, and we will probably get
consistent test results. Otherwise, different test results may group
the problems in different categories.

I realize that doing all the tests can be quite time consuming (it
calls for tests on both Karmic and Lucid), and if you are only able to
do some of the tests it would be nice if you could fill in those cells
in the test result table.

My initial guess is that the bug is in mesa, since it seems to be
related to 3D operations. It would be nice if we could also get some
testing of different mesa versions, but I'm not aware of any that are
pre-built yet.

Arun (arunmv) wrote :

This issue continue on the latest kernel as well.
My current kernel is

Arun (arunmv) wrote :

This issue continues on the latest kernel also.
My current kernel is :
Linux arunmv-desktop 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 16:20:31 UTC 2009 i686 GNU/Linux

I tried log-in with GNOME and again the desktop got hanged after few seconds.
Later power-cycled the machine, and logged-in with GNOME FAIL-SAFE

Arun (arunmv) wrote :

Graffics card details:

09: PCI 02.0: 0300 VGA compatible controller (VGA)
  [Created at pci.318]
  UDI: /org/freedesktop/Hal/devices/pci_8086_2772
  Unique ID: _Znp.VFNOGeWiRm3
  SysFS ID: /devices/pci0000:00/0000:00:02.0
  SysFS BusID: 0000:00:02.0
  Hardware Class: graphics card
  Model: "Intel 945G"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x2772 "945G"
  SubVendor: pci 0x1462 "Micro-Star International Co., Ltd."
  SubDevice: pci 0x7267
  Revision: 0x02
  Driver: "i915"
  Driver Modules: "drm"
  Memory Range: 0xcfe80000-0xcfefffff (rw,non-prefetchable)
  I/O Ports: 0xec00-0xec07 (rw)
  Memory Range: 0xe0000000-0xefffffff (rw,prefetchable)
  Memory Range: 0xcfe40000-0xcfe7ffff (rw,non-prefetchable)
  IRQ: 16 (16034 events)
  I/O Ports: 0x3c0-0x3df (rw)
  Module Alias: "pci:v00008086d00002772sv00001462sd00007267bc03sc00i00"
  Driver Info #0:
    XFree86 v4 Server Module: intel
  Driver Info #1:
    XFree86 v4 Server Module: intel
    3D Support: yes
    Extensions: dri
  Config Status: cfg=new, avail=yes, need=no, active=unknown

Monitor details:
  Unique ID: rdCR.EY_qmtb9YY0
  Hardware Class: monitor
  Model: "Generic Monitor"
  Vendor: "Generic"
  Device: "Monitor"
  Resolution: 1024x768@0Hz
  Driver Info #0:
    Max. Resolution: 1024x768
    Vert. Sync Range: 50-60 Hz
    Hor. Sync Range: 31-36 kHz
  Config Status: cfg=new, avail=yes, need=no, active=unknown

bclub13 (bclub13-hotmail) wrote :

reverting back to org intel driver to 2.4 seems as the only solution
just do what:
"https://wiki.ubuntu.com/ReinhardTartler/X/RevertingIntelDriverTo2.4"
says
it worked

bclub13 (bclub13-hotmail) wrote :

for the intel cards

The Founder (president-yooter) wrote :

That's not a solution man... that's a hack to render your computer useable.

I can't believe the new version of Ubuntu is going live with this bug still living .

Bryce Harrington (bryce) on 2010-02-09
description: updated
TM Hart (tom-hart) wrote :

To: WeatherGod

Suggestion - - are there one or more useful commands that we can enter on a terminal screen and redirect output to a file??

Wonder if there are certain data that we can collect for your evaluation. Perhaps we can send the most relevant data to you and simplify your review.....

Am running U-9.10 very happily on an old Dell portable and on n old Compaq desktop. Sadly, 9.10 locks up a newer Compaq desktop as previously reported. That machine is back to U-9.04.

-tom-

WeatherGod (ben-v-root) wrote :

TM Hart, please see comment 83 in this bug report to help contribute to diagnosing this issue.

The Founder (president-yooter) wrote :

ok I have been using my laptop mostly, so today I turned on the desktop, downloaded several weeks worth of Ubuntu updates... rebooted the machine...

switched from "no visual effects" to "normal visual effects" .. and the machine locked up within 12 seconds.. same hardcore lockup where even the mouse can't move.

I was hoping that with that many updates something would work.

The Founder (president-yooter) wrote :

Seriously if there is anything I can provide to help please let me know.. I'm willing to spend all night cutting and pasting every terminal output needed :)

Bryce Harrington (bryce) on 2010-03-03
tags: added: kubuntu
TM Hart (tom-hart) wrote :
Download full text (17.0 KiB)

To: WeatherGod:

I wonder if there may be an error in counting people affected by bug 461163....

As test, I booted my computer from the cd drive and ran the Ubuntu 9.10 trial version from the install cd-rom. The system locked up in the same time frame as when I loaded 9.10 on my hard disk in place of version 9.04.

Wonder if a number of people may download the ISO file, write it to a cd-rom, run the trial version and crash. These people are unlikely to file a bug report.

At any rate, if you want to run tests of computer freezes, you may be able to get info from cd-rom booting instead of loading the entire operating system and looking for crashes....

I ran the "lshw" command and obtained the following profile of my hardware:

compaq

    description: Desktop Computer

    product: GN632AV-ABA a6200t

    vendor: HP-Pavilion

    version: Chassis Version

    width: 32 bits

    capabilities: smbios-2.4 dmi-2.4 smp-1.4 smp

    configuration: boot=normal chassis=desktop cpus=1 uuid=4C991CD9-7A9E-DC11-BCD5-AAA3FE50BD80

  *-core

       description: Motherboard

       product: Lancaster8

       vendor: ASUSTeK Computer INC.

       physical id: 0

       version: 1.04

       serial: X312345678

       slot: To Be Filled By O.E.M.

     *-firmware

          description: BIOS

          vendor: American Megatrends Inc.

          physical id: 0

          version: 5.16 (10/01/2007)

          size: 64KiB

          capacity: 448KiB

          capabilities: isa pci pnp upgrade shadowing escd cdboot bootselect socketedrom edd int13floppy1200 int13floppy720 int13floppy2880 int5printscreen int9keyboard int14serial int17printer int10video acpi usb ls120boot zipboot biosbootspecification

     *-cpu

          description: CPU

          product: Intel(R) Celeron(R) CPU 420 @ 1.60GHz

          vendor: Intel Corp.

          physical id: 4

          bus info: cpu@0

          version: 6.6.1

          serial: 0001-0661-0000-0000-0000-0000

          slot: CPU 1

          size: 1600MHz

          capacity: 1600MHz

          width: 64 bits

          clock: 200MHz

          capabilities: boot fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss tm pbe nx x86-64 constant_tsc up arch_perfmon pebs bts pni dtes64 monitor ds_cpl tm2 ssse3 cx16 xtpr pdcm lahf_lm

        *-cache:0

             description: L1 cache

             physical id: 5

             slot: L1-Cache

             size: 32KiB

             capacity: 32KiB

             capabilities: internal write-back data

        *-cache:1

             description: L2 cache

             physical id: 6

             slot: L2-Cache

             size: 512KiB

             capacity: 512KiB

             capabilities: internal write-back unified

     *-memory

          description: System Memory

          physical id: 1e

          slot: System board or motherboard

          size: 1GiB

        *-bank:0

             description: DIMM Synchronous 667 MHz (1.5 ns)

             product: HYMP564U64CP8-Y5

             vendor: AD00000000000000

             physical id: 0

      ...

WeatherGod (ben-v-root) wrote :

TM Hart,

I quite agree. I am sure that this bug turned away many new linux users who had certain models of Intel video cards. Unfortunately, there is not much that can be done with respect to the downloadable ISO (which is why it is so important to test the ISOs extensively before the final release).

In the meantime, if you could contribute information at this page: https://wiki.ubuntu.com/X/Lucidi945Freezes that would be greatly appreciated.

TM Hart (tom-hart) wrote :
Download full text (13.6 KiB)

To WeatherGod:

I ran a test on a different computer today and have some interesting results. The computer is described below - the data from running the "lshw" command. My test was to boot from the U-9.10 install disk and select the trial run option. I did not install the operating system on the hard disk. The computer currently runs fine with the U-9.04 operating system.

I was surprised to find that the computer did not freeze. It ran normally. I opened the:

System / Administration / Appearance / Preferences / Visual Effects / menu

and found that the "None" option was selected. I decided to try to change that to "Normal" and found that the sytem located new drivers: NVIDIA 173, 185 and 96. Since I was running from the CD, I did not expect the driver to load - and tried to load the recommended driver.

After a few minutes, the load stopped and I terminated the process.

I think that it is interesting that when the "visual effects" is set to "none", U-9.10 runs fine from the CD. I assume that the computer that crashed with the same CD-Rom has "visual effects" set to "normal". Cannot verify that because it will crash long before I can load the menu...

At any rate, I think the result of the test is interesting. Computer profile follows. tom - - -

compaq-u2
    description: Desktop Computer
    product: NY801AV-ABA p6100z
    vendor: HP-Pavilion
    version: Chassis Version
    serial: MXV93302RK
    width: 32 bits
    capabilities: smbios-2.5 dmi-2.5 smp-1.4 smp
    configuration: boot=normal chassis=desktop cpus=1 uuid=80F65FC4-1FF4-1410-85AF-E0B7EF39E04D
  *-core
       description: Motherboard
       product: NARRA5
       vendor: PEGATRON CORPORATION
       physical id: 0
       version: 5.00
       serial: 100777990002179
     *-firmware
          description: BIOS
          vendor: Phoenix Technologies, LTD
          physical id: 0
          version: 5.38 (03/20/2009)
          size: 128KiB
          capacity: 960KiB
          capabilities: pci pnp apm upgrade shadowing cdboot bootselect socketedrom edd int13floppy360 int13floppy1200 int13floppy720 int13floppy2880 int5printscreen int9keyboard int14serial int17printer int10video acpi usb ls120boot zipboot biosbootspecification netboot
     *-cpu
          description: CPU
          product: AMD Sempron(tm) Processor LE-1300
          vendor: Advanced Micro Devices [AMD]
          physical id: 3
          bus info: cpu@0
          version: 15.15.2
          slot: Socket AM2
          size: 2300MHz
          capacity: 2300MHz
          width: 64 bits
          clock: 200MHz
          capabilities: boot fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt rdtscp x86-64 3dnowext 3dnow up pni cx16 lahf_lm extapic cr8_legacy 3dnowprefetch cpufreq
        *-cache:0
             description: L1 cache
             physical id: 8
             slot: L1 Cache
             size: 128KiB
             capacity: 128KiB
             capabilities: synchronous internal write-back data
        *-cache:1
             description: L2 cache
             physical id: 9
             slot: L2 Cache
           ...

TM Hart (tom-hart) wrote :

To WeatherGod

An additional comment on post #94:

I booted the computer - which is described in #94 and uses U-9.04. Made a change to the Visual Effects menu.

Went to System - Preferences - Appearance - Visual Effects and selected "none".

Then booted the system using the CD-ROM w/ the U-9.10 ISO file. Selected "Try Ubuntu Without Change to Your Computer' and the demo ran fine. No system freeze this time.

Went to the Visual Effects menu and selected "normal" and the system froze w/ in a few seconds.

TM Hart (tom-hart) wrote :

To WeatherGod:

I made an additional test on the computer described in post #94. Wanted to see if the cd-rom w/ the ISO file for U-9.10 would run after changing the Visual Effects menu in U-9.04, which is in use on the computer.

Booted the computer from the hard disk. Went to:

System - Preferences - Appearance - Visual Effects.

Chose the "none" option. Rebooted the system using the U-9.10 cd-rom. Chose the "Try Ubuntu without change to your computer" option. It loaded and ran fine. No freeze up.

Went to the System - Preferences - Appearance - Visual Effects menu and changed the option from "none" to "normal". It froze within seconds.

It seems that the setting on U-9.04 carries over to the ISO test version. If changed to "normal" the computer locks up...

tom

WeatherGod (ben-v-root) wrote :

TM Hart, so you are confirming that the bug exists for Jaunty and Karmic when you turn compiz on. Could you please check to see if the problem also still occurs for Lucid Lynx beta? You can find the iso at http://cdimages.ubuntu.com/daily-live/current/

Thank you for your help in this matter.

WeatherGod (ben-v-root) wrote :

TM Hart, just to clarify, it is impossible for the settings on the harddrive install of Ubuntu to be effecting the LiveCD version of Ubuntu. From how I read your observations, the LiveCD session freezes whenever you set the visual effects to Normal. The same is also true from the installed version. Am I missing anything?

Hi WeatherGod,

Quick question, since we are so far into 9.10 with April 29, 2010 being the launch date of 10.04 (IE: 4 weeks) ... perhaps we should look into how it's running in the alpha / beta versions of 10.04 rather than the current 9.10 ?

It's just that I suspect that even if it's completely solved for 9.10 tomorrow , the second 10.04 shows up, the bug will as well.

Best regards,
Roger

WeatherGod (ben-v-root) wrote :

Roger, agreed. Besides, this is probably most likely a graphics driver issue with regards to some of the work that is being done in the Linux kernel (the modesetting and such). It is quite likely that it will take the newer kernels to really address this issue anyway.

Plus, it still leaves open the possibility for backporting the fix to Karmic and/or Jaunty.

Hi WeatherGod,

I have the proper hardware for the test (I think I'm the one that submitted the bug in the first place) . I will do a complete format and install the alpha version this weekend. I publish the results here.

Crossing fingers!

Best Regards,
Roger

TM Hart (tom-hart) wrote :

To WeatherGod -

You are correct in your comments in posting #100.

The only odd thing is that the first time that I ran the cd-rom ISO file, it froze shortly after U-9.10 started. The second time, I ran the cd-rom trial version, the special effects option was set to "none". The only change was to set the U-9.04 special effects to "none" before testing.

Not sure why the results of cd-rom ISO trial version vary between tests....

Good luck.
tom

WeatherGod (ben-v-root) wrote :

Tom, my best guess is that you accidentally booted into your installed version and didn't realize it. I know that has happened to me before.

TM Hart (tom-hart) wrote :

To WeatherGod

TM Hart (tom-hart) wrote :

To WeatherGod -

I downloaded the file:

Ubuntu-10.04-beta1-desktop-i386.iso

and wrote it to a cd-rom. Booted the same computer identified in post #94 and started the trial version option.

For 3 - 4 minutes, the trial version ran normally. I checked System-Preferences-Appearance-Visual Effects and found it was set to "normal". Then... it froze. Looks similar to the problem found in U-9.10.

I wonder if a work-around would be to set the U-10.04 installation so it uses an Appearance of "none". Wonder if this will allow the next version of Ubuntu to run on computers that now freeze with U-9.10 and the beta of 10.04???

If people can use U-9.10 with the visual effects off, perhaps it would be OK to default w/ them off and let people experiment. The documentation could explain login with failsave option to turn return to "none" if 'normal" crashes the system.

Not sure if this is workable - I think that turning off the visual effects may allow use of U-9.10 ....

good luck

tom

Luxman (k-luxman) wrote :

Hi,

I'm also having the same problem. Screen freezes after login. It needs to be forced to reboot. If I go thru recovery mode, it drops in to command mode. Kindly help !!

--
Laxman

TM Hart (tom-hart) wrote :

To WeatherGod -

To follow up on tests reported in ## 94 - 107, I booted the same computer w/ the U-10.04 beta ISO on a cd-rom. The last time I tried it, the computer ran for 2 - 3 minutes before freezing. Decided to see if I could go to System-Preferences-Appearance-Visual Effects and change from "Normal" to "None" in the time before lockup. I was able to change the setting.

Once the Visual Effects were set to "None", the computer ran fine. I spent about 10 minutes trying Firefox, solitaire and opening sample files from the desktop folder.

It would be nice to give it a longer test, but after 10 problem-free minutes, I had to get on to other things and shut down. I wonder if people w/ freeze-ups might be able to get a "fast track" to the "none setting" as an installation option.

tom

hi how are you ?
i just ordered an iphone4 from this company
: <elefashion.com>
best price and fast ship / i like it very much
take a look , sure you will like it
thousands of products .
save more than 30%!

bugbot (bugbot) on 2011-04-28
tags: added: xubuntu
Bryce Harrington (bryce) wrote :

This bug report hasn't been updated in about a year, apart from spam. The issue is basically a GPU lockup. GPU lockups can occur from a variety of different underlying bugs, and the symptoms by and large all appear identical, so the me-too's on this bug could quite possibly have completely unrelated problems.

The good news is that we've put a considerable amount of time investigating GPU lockups in natty. Some have been solved, others are much better understood. We also have much, much better tools for reporting and analyzing them; this bug lacks the logs and error files we require to diagnose the problems, so is not actionable.

I'm closing out this bug report for the above reasons. If you still have gpu lockups with natty please file a new bug report.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Invalid
Displaying first 40 and last 40 comments. View all 111 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers